Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 14 Jun 2007 16:39:45 +0400

David Gibson wrote:

>>>>How do non-device-tree MTD users handle this?

>>>Invidual, board-specific map files with hardcoded partition tables.

>>That's what I was afraid of.  Sigh.

>>>See drivers/mtd/maps/ebony.c for example.

>>[/me looks...]  Oh horror.

>>>Hence my view of the device
>>>tree as a preferable option.

>>I think some binary partition table format that can be
>>used by _all_ MTD consumers should be defined.  How
>>that table should be communicated to the kernel in the
>>device tree case we can discuss later, then.  Maybe
>>something as simple as storing it in flash, and have a
>>"partition-table-offset" property or something like that.

>>This is something the MTD people will have to buy into
>>of course.

> I tought I saw some config option implying that there already existed
> an on-device partition table format for flashes.  Doesn't help us for

    You probably mean RedBoot table?

> existing boards which don't expect such a setup, of course.

    Exactly. It's specific to RedBoot.

WBR, Sergei